config:dns

NAME
config:dns - Configures DNS lookups.

SYNOPSIS
config:dns [options]

DESCRIPTION
Use the config:dns command to configure DNS proxying and DNS lookups. When you execute the config:dns command, you must use one of the options described below.

OPTIONS
The following options are supported for the config:dns command:

  proxy <on | off>
Enables (on) or disables (off) the DNS proxying feature.

  proxy-port <integer>
Specifies the port number used by the DNS proxy.

  resolve-timeout <seconds>
Specifies the DNS lookup timeout in seconds. (The default value is 20.)

  retries <number>
Specifies the number of DNS retries. (The default value is 5.)

EXAMPLES

  Example 1. Specifying 10 seconds as the DNS lookup timeout

traffic_shell> config:dns resolve-timeout 10
traffic_shell>

  Example 2. Specifying a value of three for DNS retries

traffic_shell> config:dns retries 3
traffic_shell>

SEE ALSO
show:dns-resolver, show:dns-stats